<?php
if (errorr_reporting) error_reporting(E_ALL );
//     This Script was originaly written by William J Sanders 
//     and reprogramed by Jose-Manuel Contardo 
//
//     To display the calendar, type: 
//     include("BaseCalendar.inc");
//     $newCal = new BaseCalendar();
//     $newCal->displayMonth($mes);
		$newCal = new BaseCalendar();
$newCal->displayMonth();

class BaseCalendar {

var $calLinkto = "#"; // upisi link KA 
var $calBorder = "2";
var $calWidth = "180px";
var $calBGCellColor = "#6699CC";
var $calBGCellToday = "#66ff66";
var $calTextColor = "#000000";

function MonthShort($month) {
			
	switch ($month) {
		case "Jan":
			return substr(kalendar_januar, 0, 3);
			break;
		case "Apr":
			return "Abr";
			break;
		case "Aug":
			return "Ago";
			break;
		case "Dec":
			return "Dic";
			break;
		default:
        substr(kalendar_januar, 0, 3);
			return $month;		 
	}
}

function MonthFull($num_month) {
	 
	$calMes["01"] = kalendar_januar;
	$calMes["02"] = kalendar_februar;
	$calMes["03"] = kalendar_mart;
	$calMes["04"] = kalendar_april;
	$calMes["05"] = kalendar_maj;
	$calMes["06"] = kalendar_juni;
	$calMes["07"] = kalendar_juli;
	$calMes["08"] = kalendar_avgust;
	$calMes["09"] = kalendar_septembar;
	$calMes["10"] = kalendar_oktobar;
	$calMes["11"] = kalendar_novembar;
	$calMes["12"] = kalendar_decembar;
	
	return $calMes[$num_month];
}

function displayMonth($shift=0) {
//Assign timestamps to dates
	$today_ts = mktime(0,0,0,date("n"),date("d"),date("Y")); // non relative date
	$firstday_month_ts = mktime(0,0,0,date("n")+$shift,1,date("Y")); // first day of the month
	$lastday_month_ts = mktime(0,0,0,date("n")+$shift+1,0,date("Y"));    // last day of the month
	
//Assign numbers and text to the month, year and day
	$numYear = date("Y",$firstday_month_ts);
    $numMonth = date("m",$firstday_month_ts);
	$textMonth = $this->MonthFull($numMonth);
 	$daysInMonth = date("t",$firstday_month_ts);
  
// raplace day 0 for day 7, week starts on monday
	$dayMonth_start = date("w",$firstday_month_ts);
	if ($dayMonth_start==0) { $dayMonth_start=7;} 
	
	
	$dayMonth_end = date("w",$lastday_month_ts);
	if ($dayMonth_end==0) { $dayMonth_end=7; }


// formating output as a table
	echo "<table  align='left' border=".($this->calBorder)." cellspacing=1 cellpadding=1 width='".($this->calWidth)."'>\n";
	//echo "<caption bgcolor='red'><center>".$textMonth."&nbsp;&nbsp;".$numYear."</center></caption>\n";
    echo " <tr><td bgcolor='".titles_bkg_colors."' colspan='7'><center><b><font color='".titles_front_color."'>".$textMonth."&nbsp;&nbsp;".$numYear."</font></b></center></td></tr>\n";
	echo "<tr >\n";
  $kalendar_pondeljak=substr(kalendar_ponedeljak,0,2);
$kalendar_utorak=substr(kalendar_utorak,0,2);
$kalendar_sreda=substr(kalendar_sreda,0,2);
$kalendar_cetvrtak=substr(kalendar_cetvrtak,0,2);
$kalendar_petak=substr(kalendar_petak,0,2);
$kalendar_subota=substr(kalendar_subota,0,2);
$kalendar_nedelja=substr(kalendar_nedelja,0,2);
// Day headers, starting from Lunes (monday)
	echo "<th align='center'>$kalendar_pondeljak</th><th align='center'>".$kalendar_utorak."</th><th align='center'>".$kalendar_sreda."</th><th align='center'>".$kalendar_cetvrtak."</th><th align='center'>".$kalendar_petak."</th><th align='center'>".$kalendar_subota."</th><th align='center'>".$kalendar_nedelja."</th></tr>\n";
	echo "<tr>\n";
  
// Fill with white spaces until the first day
	for ($k=1; $k<$dayMonth_start; $k++) {echo "<td>&nbsp;</td>\n";}
// 
	for ($i=1; $i<=$daysInMonth; $i++) {
		
		// Assigns a timestamp to day i
		$day_i_ts=mktime(0,0,0,date("n",$firstday_month_ts),$i,date("Y",$firstday_month_ts));
        $day_i = date("w",$day_i_ts);
		
		//Placing Domingo (Sunday) as last day of the week
		if ($day_i==0) { $day_i=7;}
		
		// Target link. You should replace this with some function(i)
		$d2_i = date("d",$day_i_ts);
	  	$link_i = "<a href=\"".($this->calLinkto)."/".($this->MonthFull($numMonth));
		$link_i = $link_i."/".($numMonth).($d2_i).($numYear).".html\">".($i)."</a>";
		// end of funtion
	
		// Plancing day i on calendar
		
		if ($shift==0 && $today_ts==$day_i_ts) {
			echo "<td bgcolor='".($this->calBGCellToday)."'><strong><center>".$link_i."</center></strong></td>";
		} 
		else {
			echo "<td><center>".$link_i."</center></td>\n";
		}
    	if ($day_i==7 && $i<$daysInMonth) {
      	   echo "</tr><tr>\n"; 
		} 
		else if ($day_i==7 && $i==$daysInMonth) {
      	   echo "</tr>\n";
		}
    	else if ($i==$daysInMonth) {
      	   for ($h=$dayMonth_end; $h<7; $h++) { 
        		echo "<td>&nbsp;</td>\n";
      	    }
    		echo "</tr>\n";
    	}
			 
  } // end for
  
  echo "</table>";
	
} // end function 

} // end of class
 ?> 
